Subject: [PATCH v3 09/12] EXAMPLE CODE: usb: port: Parse pwrseq phandle from Device Tree

From: [email-masked] (Peter Chen)
Date: Thu, 2 Jun 2016 09:24:19 +0800

On Wed, Jun 01, 2016 at 11:16:34AM -0700, Stephen Boyd wrote:
> Quoting Peter Chen (2016-06-01 05:05:20)
> > On Wed, Jun 01, 2016 at 01:57:23AM -0700, Stephen Boyd wrote:
> > > Quoting Krzysztof Kozlowski (2016-06-01 01:02:18)
> > > > Parse usb-pwrseq property from Device Tree to get the phandle to pwrseq
> > > > device.  The pwrseq device will be used by USB hub to cycle the power
> > > > before activating ports.
> > > > 
> > > > Signed-off-by: Krzysztof Kozlowski <[email-masked]>
> > > 
> > > Drive by review comment.
> > > 
> > > I was hoping this would help me with a problem I'm having where I have a
> > > hub (smsc4604) that needs to be taken out of reset before my HSIC
> > > controller sends a USB reset to it, but it seems this is more about
> > > doing some sort of power on sequence after enumeration?
> > > 
> > 
> > No, you may need to do reset before enumeration, the general purpose of
> > reset is eliminate unstable hardware state, and let the controller find
> > the device.
> > 
> > Try to do it at bootloader to see if it works for you.
> > 
> 
> Sorry the bootloader doesn't do this so that doesn't work for me.

I mean try to see if the HUB can work if you reset it at bootloader.
If it works, it means you need to do reset before enumeration, and you
don't need to do anything after enumeration.

-- 

Best Regards,
Peter Chen